🚀 New: Theme Control Plane API — build, customize, and deploy themes programmatically. Learn more →
curl --request POST \
--url https://api.shoppex.io/dev/v1/invoices/{uniqid}/complete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"note": "Completed by external gateway",
"suppress_emails": false
}
'{
"data": {
"id": "inv_3",
"uniqid": "33333333-3333-4333-8333-333333333333",
"type": "PRODUCT",
"shop_id": "shop_1",
"customer_email": "[email protected]",
"currency": "USD",
"total": 49.99,
"total_display": 49.99,
"status": "COMPLETED",
"status_details": "Completed by Dev API",
"payment_status": "COMPLETED",
"gateway": "PANDABASE",
"items": [
{
"product_id": null,
"product_title": "External Payment",
"product_type": "SERVICE",
"variant_title": null,
"quantity": 1,
"unit_price": 49.99,
"total": 49.99,
"delivered_items": null
}
],
"created_at": 1712059200,
"updated_at": 1712059500
}
}Completes a pending invoice server-side through the existing invoice completion pipeline.
curl --request POST \
--url https://api.shoppex.io/dev/v1/invoices/{uniqid}/complete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"note": "Completed by external gateway",
"suppress_emails": false
}
'{
"data": {
"id": "inv_3",
"uniqid": "33333333-3333-4333-8333-333333333333",
"type": "PRODUCT",
"shop_id": "shop_1",
"customer_email": "[email protected]",
"currency": "USD",
"total": 49.99,
"total_display": 49.99,
"status": "COMPLETED",
"status_details": "Completed by Dev API",
"payment_status": "COMPLETED",
"gateway": "PANDABASE",
"items": [
{
"product_id": null,
"product_title": "External Payment",
"product_type": "SERVICE",
"variant_title": null,
"quantity": 1,
"unit_price": 49.99,
"total": 49.99,
"delivered_items": null
}
],
"created_at": 1712059200,
"updated_at": 1712059500
}
}